/*
Copyright 2011-2016 Google Inc. All Rights Reserved.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/
package com.google.security.zynamics.binnavi.ZyGraph.Menus.CodeNode;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;

import com.google.security.zynamics.binnavi.Gui.MainWindow.ProjectTree.Nodes.Module.Component.CModuleNodeComponent;
import com.google.security.zynamics.binnavi.disassembly.INaviModule;
import com.google.security.zynamics.binnavi.disassembly.types.Section;

/**
 * TODO: Insert description here. (generated by jannewger)
 */
public class GotoSectionAction extends AbstractAction {

  private final Section section;
  private final long address;
  private final INaviModule module;

  /**
   *
   * @param section The section that contains the address.
   * @param address The virtual address to go to.
   * @param module The module that contains the given section.
   */
  public GotoSectionAction(final Section section, final long address, final INaviModule module) {
    super("Go to address");
    this.section = section;
    this.address = address;
    this.module = module;
  }

  @Override
  public void actionPerformed(final ActionEvent e) {
    CModuleNodeComponent.focusSectionAddress(module, section, address);
  }
}